Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class FPEParameters

    java.lang.Object
      org.bouncycastle.crypto.params.FPEParameters

All Implemented Interfaces:
  CipherParameters

public final class FPEParameters
extends java.lang.Object
implements CipherParameters

Constructor Summary
`FPEParameters(KeyParameter key, int radix, byte[] tweak)`
`FPEParameters(KeyParameter key, int radix, byte[] tweak, boolean useInverse)`
`FPEParameters(KeyParameter key, RadixConverter radixConverter, byte[] tweak, boolean useInverse)`

Method Summary
`KeyParameter` | `getKey()`
`int` | `getRadix()`
`RadixConverter` | `getRadixConverter()`
`byte[]` | `getTweak()`
`boolean` | `isUsingInverseFunction()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FPEParameters

    public FPEParameters(KeyParameter key,
                         int radix,
                         byte[] tweak)

### FPEParameters

    public FPEParameters(KeyParameter key,
                         int radix,
                         byte[] tweak,
                         boolean useInverse)

### FPEParameters

    public FPEParameters(KeyParameter key,
                         RadixConverter radixConverter,
                         byte[] tweak,
                         boolean useInverse)

Method Detail

### getKey

    public KeyParameter getKey()

### getRadix

    public int getRadix()

### getRadixConverter

    public RadixConverter getRadixConverter()

### getTweak

    public byte[] getTweak()

### isUsingInverseFunction

    public boolean isUsingInverseFunction()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD